# Example evt2sac.pro file
#
# Supported commands            Example         Comment
# ------------------            -------------   ----------------------
#
# year:                         1986
# month:                        5
# day:                          20
# path:                         /cdrom          CD_ROM directory
# maximum range:                20              In degrees
# minimum range:                70              In degrees
# maximum minutes:              10      
# minimum minutes:              70
# minutes before:               1               Before initial phase
# minutes after:                3               After final phase
# initial phase:                P               P, pP, S, sS, PP, SS, 
#                                               or surface
# final phase:                  surface         Same as above
# surface wave velocity 1:      4.5             Default is 4.2 km/sec
# surface wave velocity 2:      4.1             Default is 4.2 km/sec
# sac file name prefix:         pt.             Add to front of SAC file name
# sac file name suffix:                         Add to end of SAC file name
# event number:                 1               Which event on this date
# mark phase:                   S               Same phases supported as above
#                                               Can specify more than one
# set kztime to start of trace                  Default is to set kztime to
#                                               time of event
#
# NOTE: the commands must start in column 1.  The argument can start
# in any column at least one space after colon.
#----------------------------------------------------
# For event, June 20, 1986
year:                 1986
month:                6
day:                  20 
path:                 /cdrom
minimum range:        30
maximum range:        70
minimum minutes:      1
maximum minutes:      60
initial phase:        P
minutes before:       0.3
final phase:          S
minutes after:        3
event number:         1 
sac file name prefix: pt.

