C  fglue.f
C
C  These interface routines act as glue between the C program which
C  reads the event files and the Fortran routines for writing SAC
C  files. They are both called from "flushsac_file" in evt_sac.c
C
C  90.09.24  ALJ: Add cphdr6
C  91.08.07  ALJ: Add Begin Time/Origin Time to cphdr6
C
      subroutine cphdr0
C
#include "mach"
#include "hdr"
C
      call inihdr
      call newhdr
C
      iftype    = ITIME
      leven     = .TRUE.
      idep      = IVEL
      iztype    = IO
      ievtyp    = IUNKN
      iqual     = IGOOD
      isynth    = IREAL
      lovrok    = .TRUE.
      return
      end
C
      subroutine cphdr1(qnpts,qb,qe,qdelta,qscale,qdpmin,qdpmax,qdpmen)
      integer qnpts
      real qb
      real qe
      real qdelta
      real qscale
      real qdpmin
      real qdpmax
      real qdpmen
C
#include "mach"
#include "hdr"
C
      npts      = qnpts
      b         = qb
      e         = qe
      delta     = qdelta
      scale     = qscale
      depmin    = qdpmin
      depmax    = qdpmax
      depmen    = qdpmen
C
      return
      end
C
      subroutine cphdr2(qnzyear,qnzjday,qnzhour,qnzmin,qnzsec,qnzmsec)
      integer qnzyear
      integer qnzjday
      integer qnzhour
      integer qnzmin
      integer qnzsec
      integer qnzmsec
C
#include "mach"
#include "hdr"
C
       nzyear   =        qnzyear
       nzjday   =        qnzjday
       nzhour   =        qnzhour
       nzmin    =        qnzmin
       nzsec    =        qnzsec
       nzmsec   =        qnzmsec
C
      return
      end
C
      subroutine cphdr3(qkstnm,qstla,qstlo,qstel)
      character*8 qkstnm
      real qstla
      real qstlo
      real qstel
C
#include "mach"
#include "hdr"
C
      kstnm     =       qkstnm
      stla      =       qstla
      stlo      =       qstlo
      stel      =       qstel
C
      return
      end
C
      subroutine cphdr4(qkcmpnm,qcmpaz,qcmpinc,qstel)
      character*8 qkcmpnm
      real qcmpaz
      real qcmpinc
C
#include "mach"
#include "hdr"
C
      kcmpnm    =       qkcmpnm
      cmpaz     =       qcmpaz
      cmpinc    =       qcmpinc
C
      return
      end
C
      subroutine cphdr5(qevla,qevlo,qevdp,qdist,qaz,qbaz,qgcarc)
      real qevla,qevlo,qevdp,qdist,qaz,qbaz,qgcarc
      logical lcalda
C
#include "mach"
#include "hdr"
C
      evla=qevla
      evlo=qevlo
      evdp = qevdp
      dist=qdist
      az=qaz
      baz=qbaz
      gcarc=qgcarc 
      lcalda=.false.
C
      return
      end
C
      subroutine cphdr6(qo,qko)
      real qo
      character*8 qko
C
#include "mach"
#include "hdr"
C
      o = qo
      ko = qko
      if(qo.ne.0) iztype = IB
      return
      end
C
      subroutine cphdr7(n,qt0,qt1,qt2,qt3,qt4,qt5,qt6,qt7,qt8,qt9,
     # qkt0,qkt1,qkt2,qkt3,qkt4,qkt5,qkt6,qkt7,qkt8,qkt9)
      real qt0,qt1,qt2,qt3,qt4,qt5,qt6,qt7,qt8,qt9
      character*8 qkt0,qkt1,qkt2,qkt3,qkt4,qkt5,qkt6,qkt7,qkt8,qkt9
C
#include "mach"
#include "hdr"
C
      if(n.eq.0) goto 100
      t0 = qt0
      kt0 = qkt0
      if(n.le.1) goto 100
      t1 = qt1
      kt1 = qkt1
      if(n.le.2) goto 100
      t2 = qt2
      kt2 = qkt2
      if(n.le.3) goto 100
      t3 = qt3
      kt3 = qkt3
      if(n.le.4) goto 100
      t4 = qt4
      kt4 = qkt4
      if(n.le.5) goto 100
      t5 = qt5
      kt5 = qkt5
      if(n.le.6) goto 100
      t6 = qt6
      kt6 = qkt6
      if(n.le.7) goto 100
      t7 = qt7
      kt7 = qkt7
      if(n.le.8) goto 100
      t8 = qt8
      kt8 = qkt8
      if(n.le.9) goto 100
      t9 = qt9
      kt9 = qkt9
100   return
      end
C
C  This interface routine calls wsac0 to write a SAC file 
C
        subroutine sgluew(kname,d)
        character*(*) kname
#include "mach"
#include "hdr"
        real d(*)
        real dummy
C
        call wsac0(kname,dummy,d,ierr)

        if( ierr .ne. 0 ) then
                print *,'wsac0 error:',ierr
                call exit(0)
        endif
C
        return
        end
