/* ndt_logs.h  */
/* 6/13/90 ALJ: Allow up to 48 events.  Increased from 25 */
/* date_time structure used for time/date computations */
struct date_time{
        double epoch;
        long date;
        int year;
        int month;
        char mname[4];
        int day;
        int doy;
        int hour;
        int minute;
        float second;
};
/* Following structures are used with the various parts of the CD_ROM files */
struct file_header {
        char unknown1[10];
        int unknown2;
        int nsta;
        int year;
        int unknown3;
        int unknown4;
        int unknown5;
        int nblock;
        int version;
        int sblock[48];
        int nspblk[48];
        int nlpblk[48];
        int nipblk[48];
};


struct tape_log {
        int doy;
        int year;
        int nsta;
        int staid[48];
        char sta[48][10];
        char instyp[48][10];
        int fmtid[48];
        int tfile[48];
};

/*  6/13/90: ALJ  Allow only 18 events since that's all there is room for */
struct event_log {
        int doy;
        int year;
        int nevent;
        struct date_time edt[18];
        float elat[18];
        float elon[18];
        float edepth[18];
        float emb[18];
        float ems[18];
};

struct station_log {
        char long_name[30];
        int staid;
        char sta[10];
        char instyp[10];
        float lat;
        float lon;
        float elev;
};

struct data_log1 {
        int ncals;
        int chanid[18];
        int year[18];
        int doy[18];
        int tod[18];
        float amp[18];
        float calib[18];
        float calper[18];
};

struct data_header {
        int staid;
        struct date_time dt;
        int fmtid;
        int sbits;
        int nchan;
        float smprat;
        int nsamp;
};

#define Z_CLIPPED 0x02
#define N_CLIPPED 0x04
#define E_CLIPPED 0x08
